Index Page mtxmg_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void mtxmg_c ( const void  * m1,
                      const void  * m2,
                      SpiceInt      ncol1,
                      SpiceInt      nr1r2,
                      SpiceInt      ncol2,
                      void        * mout  )

#### Abstract

       Multiply the transpose of a matrix with another matrix,
       both of arbitrary size. (The dimensions of the matrices must be
       compatible with this multiplication.)

#### Required_Reading

       None.

#### Keywords

       MATRIX

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       m1         I   nr1r2 X ncol1 double precision matrix.
       m2         I   nr1r2 X ncol2 double precision matrix.
       ncol1      I   Column dimension of m1 and row dimension of mout.
       nr1r2      I   Row dimension of m1 and m2.
       ncol2      I   Column dimension of m2 (and also mout).
       mout       O   Transpose of m1 times m2.

#### Detailed_Input

       m1         is any double precision matrix of arbitrary size.

       m2         is any double precision matrix of arbitrary size.
                  The number of rows in m2 must match the number of
                  rows in m1.

       ncol1      is the number of columns in m1 and the number of rows of
                  mout.

       nr1r2      is the number of rows in both m1 and (by necessity) m2.

       ncol2      is the number of columns in both m2 and mout.

#### Detailed_Output

       mout       mout is the product matrix defined as the transpose of
                  m1 times m2, that is

                                t
                     mout = (m1)  x (m2)

                  where the superscript t denotes the transpose of m1.

                  mout is a double precision matrix of dimension ncol1 x
                  ncol2.

                  mout may overwrite m1 or m2.  Note that this capability
                  does not exist in the Fortran version of SPICELIB; in the
                  Fortran version, the output must not overwrite either
                  input.

#### Parameters

       None.

#### Exceptions

       1) If dynamic allocation of memory fails, the error
          SPICE(MEMALLOCFAILED) is signalled.

#### Files

       None.

#### Particulars

       The code reflects precisely the following mathematical expression

       For each value of the subscript i from 1 to ncol1, and j from 1
       to ncol2:

          mout(i,j) = Summation from k=1 to nr1r2 of  m1(k,i) * m2(k,j)

#### Examples

       1)  Suppose that m1 = | 1  2  3  0 |
                             | 1  1  1  1 |

           and that     m2 = | 1  2  3 |
                             | 0  0  0 |

           Then calling mtxmg_c as shown

              mtxmg_c ( m1, m2, 4, 2, 3, mout )

           will yield the following value for mout:

                     | 1  2  3 |
              mout = | 2  4  6 |
                     | 3  6  9 |
                     | 0  0  0 |

#### Restrictions

       1) No error checking is performed to prevent numeric overflow or
          underflow.

       2) No error checking performed to determine if the input and
          output matrices have, in fact, been correctly dimensioned.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman       (JPL)
       W.M. Owen          (JPL)

#### Version

       -CSPICE Version 1.2.2, 16-JAN-2008   (EDW)

          Corrected typos in header titles:

          Detailed Input to Detailed_Input
          Detailed Output to Detailed_Output

       -CSPICE Version 1.2.1, 10-NOV-2006   (EDW)

          Added Parameters section header.

       -CSPICE Version 1.2.0, 28-AUG-2001 (NJB)

          Const-qualified input arrays.

       -CSPICE Version 1.0.0, 16-APR-1999 (NJB)

#### Index_Entries

       matrix transpose times matrix n-dimensional_case

#### Link to routine mtxmg_c source file mtxmg_c.c

    Wed Apr  5 17:54:39 2017